#
# spec file for package release-compare
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           release-compare
Summary:        Release Compare Script
License:        GPL-3.0-or-later
Group:          Development/Tools/Building
URL:            https://github.com/openSUSE/release-compare
Version:        0.4.0
Release:        lp153.1.16
Source:         %name-%version.tar.xz
BuildArch:      noarch

%description
This package contains scripts to create changelog files relative
to last released result.

Note: you need to use a releasetarget definition in your OBS repository
      to get this working. And the release target needs to have published binaries.


%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/build/obsgendiff.d $RPM_BUILD_ROOT/%_defaultdocdir/%name
install -m 0755 create_changelog $RPM_BUILD_ROOT/usr/lib/build/obsgendiff.d/

%check
# basic syntax check
bash -n $RPM_BUILD_ROOT/usr/lib/build/obsgendiff.d/create_changelog || exit 1

%files
%license LICENSE
/usr/lib/build

%changelog
* Mon Sep 28 2020 Adrian Schröter <adrian@suse.de>
- update to version 0.4.0
  * requires new build script!
  * move script into obsgendiff.d directory
  * minor output improvement
* Fri Sep 25 2020 Adrian Schröter <adrian@suse.de>
- update to version 0.3.15
  * allow to run further plugins by providing executables
    in /usr/lib/build/obsgendiff.d
    NOTE: we may move this functionality into build script
* Fri Sep 25 2020 Adrian Schröter <adrian@suse.de>
- update to version 0.3.14
  * Pick newest obsgendiff archive if multiple exists
    in maintenance_release projects
* Wed Sep 23 2020 Adrian Schröter <adrian@suse.de>
- update to version 0.3.13
  * strip package name containers from incident projects
  * drop wrong and needless stripping of package names
* Thu Sep 17 2020 Adrian Schröter <adrian@suse.de>
- update to version 0.3.12
  * get right package container name from disturl
* Wed Sep 16 2020 Adrian Schröter <adrian@suse.de>
- update to version 0.3.11
  * relax report parsing
    (either single or double quotes might be used depending on
    the build stage)
  * hide author (and email) lines in diff
* Tue Sep 15 2020 Adrian Schröter <adrian@suse.de>
- update to version 0.3.10
  * fixed escaping in sed statement
* Mon Sep 14 2020 Adrian Schröter <adrian@suse.de>
- update to version 0.3.9
  * fix one more subtile difference in kiwi appliance builds
* Mon Sep 14 2020 Adrian Schröter <adrian@suse.de>
- update to version 0.3.8
  * fix parsing of kiwi appliance packages files
* Mon Sep 14 2020 Adrian Schröter <adrian@suse.de>
- update to version 0.3.7
  * update for missing Build numbers in media
    (eg openSUSE ftp tree builds)
* Fri Sep 11 2020 Adrian Schröter <adrian@suse.de>
- update to version 0.3.6
  * fix touching used rpms
* Thu Sep 10 2020 Adrian Schröter <adrian@suse.de>
- update to version 0.3.5
  * List added/removed rpm binary names, but diff changes
    via src rpm names
  * syntax fix
* Wed Sep  9 2020 Adrian Schröter <adrian@suse.de>
- update to version 0.3.4
  * avoid double Changelog txt suffix
  * guess file names need to work with -Snapshot file names on factory
  * work on source rpm name base only
  * strip "first" lines of changes to hide the email adresses
* Wed Sep  2 2020 Adrian Schröter <adrian@suse.de>
- update to version 0.3.3
  * beautify diff of import packages
* Wed Sep  2 2020 Adrian Schröter <adrian@suse.de>
- update to version 0.3.2
  * handling changed version of a medium
* Tue Sep  1 2020 Adrian Schröter <adrian@suse.de>
- update to version 0.3.1
  * added support for Dockerfile builds
- use git repo as resource
* Mon Aug 31 2020 Adrian Schröter <adrian@suse.de>
- support also plain kiwi builds
* Wed Aug 26 2020 Adrian Schröter <adrian@suse.de>
- write changelogs in UTF-8 encoding
* Tue Aug 25 2020 Adrian Schröter <adrian@suse.de>
- speedup it a lot to avoid timeout errors
* Wed Aug 19 2020 Adrian Schröter <adrian@suse.de>
- running based on .report instead of .packages files
* Mon Feb  3 2020 Adrian Schröter <adrian@suse.de>
- initial demo package
